@import url(https://fonts.googleapis.com/css?family=Open+Sans:400,700);

.fr3ex-table {
    font-family: 'Open Sans', sans-serif;
    font-size: 13px;    
}

.fr3ex-header-cell {
    display: inline-block;
    background-color: #FFF;    
    border-left: 1px solid rgb(213,213,213);
    border-top: 1px solid rgb(213,213,213);
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    padding: 2px 3px;
    text-align: center;
    height: 100%;
    overflow: hidden;
    position: relative;
}

.fr3ex-header-cell:last-child {
    border-right: 1px solid rgb(213,213,213);
}

.fr3ex-header-row:after {
    clear: both;
    content: " ";
    display: block;
}

.fr3ex-filter-cell {
    display: inline-block;
    background-color: #FFF;    
    border-left: 1px solid rgb(213,213,213);
    border-top: 1px solid rgb(213,213,213);
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    padding: 2px 3px;
    text-align: center;
    position: relative;
}

.fr3ex-filter-cell:last-child {
    border-right: 1px solid rgb(213,213,213);
}

.fr3ex-fo {
    z-index: 100;
    background-color: #fff;
    position: absolute;
    right: 0px;
    top: 24px;
    border-bottom: 1px solid rgb(171,171,171);
}

.fr3ex-fo input[type="checkbox"] {
    float: left;
}
.fr3ex-fo label {
    float: left;
}
.fr3ex-fo-row:after {
    clear: both;
    content: " ";
    display: block;
}


.fr3ex-header-row:last-child > div {
    border-bottom: 1px solid rgb(171,171,171)!important;
}

.fr3ex-filter-cell {
    text-align: left;
}

.fr3ex-filter-cell input[type="text"] {
    width: calc(100% - 20px);
    height: 16px;
    outline: none;
    background-color: transparent;    
    box-shadow: none;
    transition: unset;
    border-radius: 0px;
    margin: 0px;
    font-size: 13px;
    border: none !important;
    -webkit-box-shadow: none !important;
    -moz-box-shadow: none !important;
    box-shadow: none !important;
    padding: 0 0 2px 0;
    display: inline-block;
}

.fr3ex-filter-options {
    display: inline-block;
    width: 20px;
    float: right;
    height: 10px;
    cursor: pointer;
}

.fr3ex-footer-cell {
    display: inline-block;
    background-color: #FFF;    
    border-left: 1px solid rgb(213,213,213);
    border-bottom: 1px solid rgb(213,213,213);
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    padding: 2px 3px;
    text-align: right;
}

.fr3ex-footer-cell:last-child {
    border-right: 1px solid rgb(213,213,213);
}

.fr3ex-cell {
    display: inline-block;
    background-color: #FFF;    
    border-left: 1px solid rgb(212,212,212);
    border-bottom: 1px solid rgb(212,212,212);
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    padding: 1px 3px;    
    overflow: hidden;
    position: relative;
}

.fr3ex-cell:last-child {
    border-right: 1px solid rgb(212,212,212);
}

.fr3ex-body-row:last-child .fr3ex-cell {
    border-bottom: 1px solid rgb(171,171,171);
}

.fr3ex-cell.fr3ex-type-text {
    text-align: left;   
}

.fr3ex-cell.fr3ex-type-int,
.fr3ex-cell.fr3ex-type-num,
.fr3ex-cell.fr3ex-type-date {
    text-align: right;   
}

.fr3ex-selected {
    border: 1px solid rgb(33,114,70);
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    padding-top: 0px;
    position: relative;
}

.fr3ex-selected:after {
    content: " ";
    position: absolute;
    width: 3px;
    height: 3px;
    background-color: rgb(33,114,70);
    border: 1px solid #fff;
    right: -3px;
    bottom: -3px;
}

.fr3ex-editing {
    border: 1px solid rgb(33,114,70);
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    padding-top: 0px;
    position: relative;
}

.fr3ex-cell-editing {
    width: 100%!important;
    height: calc(100% - 4px)!important;
    margin: 0px!important;
    outline: none!important;
    background-color: transparent!important;    
    box-shadow: none!important;
    transition: unset!important;
    border-radius: 0px!important;
    font-size: 13px!important;
    border: none !important;
    -webkit-box-shadow: none !important;
    -moz-box-shadow: none !important;
    box-shadow: none !important;
    padding: 0 0 2px 0!important;
    display: inline-block!important;
    line-height: 15px!important;
}

.fr3ex-empty-cell {
  background-color: #fff!important;
  border: 0px!important;
}